Sage Timeslips eCenter : Now Available

If your firm uses Sage Timeslips eCenter, just “supported performances” will keep running with eCenter. You must run Timeslips 2017 or Timeslips 2018 if you need to utilize eCenter. If your firm uses Sage Timeslips eCenter, just “supported performances” will keep running with eCenter. You must run Timeslips 2017 or Timeslips 2018 if you need to utilize eCenter.